Bug 474545 - 520 -> 530 upgrade: web dependency errors
520 -> 530 upgrade: web dependency errors
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2008-12-04 07:10 EST by Milan Zázrivec
Modified: 2009-08-27 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/rhn/rhn-installation.log (1.58 KB, text/plain)
2008-12-04 08:13 EST, Milan Zázrivec
no flags Details

  None (edit)
Description Milan Zázrivec 2008-12-04 07:10:04 EST
Description of problem:
When upgrading Satellite 5.2.0 on RHEL-4 to Satellite-5.3.0-RHEL4-re20081128.0
embedded DB variant, following dependency problem pops up:

# ./install.pl --disconnected --upgrade
...
ERROR: RPM dependency error.  The message was:
Dependencies should have already been resolved, but they are not.
Unresolved rpm dependencies:

Package rhn-dobby  5.2.0-16.el4 requires rhn-base
...
# rpm -qi --requires rhn-dobby|grep rhn-base
rhn-base
# rpm -qp --requires EmbeddedDB/spacewalk-dobby-0.3.7-2.el4.noarch.rpm |grep base
spacewalk-base
# rpm -qp --obsoletes EmbeddedDB/spacewalk-dobby-0.3.7-2.el4.noarch.rpm
rhn-dobby <= 5.2.0
# rpm -qp --obsoletes Satellite/spacewalk-base-0.3.7-2.el4.noarch.rpm 
rhn-base <= 5.2.0

Version-Release number of selected component (if applicable):
rhn-web-5.2.0-16
spacewalk-web-0.3.7-2
Comment 1 Milan Zázrivec 2008-12-04 08:13:42 EST
Created attachment 325672 [details]
/var/log/rhn/rhn-installation.log
Comment 2 Michael Mráka 2008-12-08 09:43:42 EST
Fixed in Spacewalk git repo
commit 62a6bd98a60aff9b50da56d844196a0a2d2e6358
    474545 - install all packages at once
    
        We need replace rhn-base and rhn-dobby by spacewalk-base and spacewalk-dobby.
        But we have Satellite/spacewalk-base*rpm and EmbeddedDB/spacewalk-dobby*rpm so
        upgrade per directory at a time will fail.
        We need put all rpms into one upgrade transaction.
Comment 3 Jeff Browning 2009-05-12 16:47:14 EDT
Verified
Comment 4 Miroslav Suchý 2009-08-26 10:05:48 EDT
verified in stage on xen15

* Installing RHN packages.
Warning: more packages were installed by yum than expected:
        mtools
        syslinux
        tcsh
* Now running setup.

no errors in /var/log/rhn/rhn-installation.log
Comment 5 Brandon Perkins 2009-08-27 13:37:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.